--[[
	BagnonForever
		Adds offline and bank viewing to Bagnon
--]]

function BagnonForever_OnLoad()
	this:RegisterEvent("BANKFRAME_OPENED");
end

function BagnonForever_OnEvent(event)
	if(event == "BANKFRAME_OPENED") then
		--switch to the current character at the bank
		if(Banknon) then
			BanknonTitle:SetText( string.gsub(BanknonTitle:GetText(), Banknon.player, UnitName("player") ) );
			Banknon.player = UnitName("player");
		end
		atBank = 1;
	end
end

--[[
	Overrides
--]]

BagnonCore_OnDoubleClick = function(frame)
	BagnonForeverMenu_Show(frame);
end;